<?php
/**
 * lz-interior-decor: Customizer
 *
 * @subpackage lz-interior-decor
 * @since 1.0
 */

function lz_interior_decor_customize_register( $wp_customize ) {

	$wp_customize->add_setting('lz_interior_decor_logo_size',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_logo_size',array(
		'type' => 'range',
		'description' => __('Logo Size (0-100%)','lz-interior-decor'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_interior_decor_logo_padding',array(
		'sanitize_callback'	=> 'esc_html'
	));
	$wp_customize->add_control('lz_interior_decor_logo_padding',array(
		'label' => __('Logo Padding','lz-interior-decor'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('lz_interior_decor_logo_top_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_logo_top_padding',array(
		'type' => 'number',
		'description' => __('Top','lz-interior-decor'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_interior_decor_logo_bottom_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_logo_bottom_padding',array(
		'type' => 'number',
		'description' => __('Bottom','lz-interior-decor'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_interior_decor_logo_left_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_logo_left_padding',array(
		'type' => 'number',
		'description' => __('Left','lz-interior-decor'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_interior_decor_logo_right_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_logo_right_padding',array(
		'type' => 'number',
		'description' => __('Right','lz-interior-decor'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_interior_decor_show_site_title',array(
		'default' => true,
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_interior_decor_show_site_title',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Title','lz-interior-decor'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('lz_interior_decor_site_title_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_site_title_font_size',array(
		'type' => 'number',
		'label' => __('Site Title Font Size','lz-interior-decor'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_interior_decor_show_tagline',array(
		'default' => true,
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_interior_decor_show_tagline',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Tagline','lz-interior-decor'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('lz_interior_decor_site_tagline_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_site_tagline_font_size',array(
		'type' => 'number',
		'label' => __('Site Tagline Font Size','lz-interior-decor'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_panel( 'lz_interior_decor_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'lz-interior-decor' ),
	    'description' => __( 'Description of what this panel does.', 'lz-interior-decor' ),
	) );

	$wp_customize->add_section( 'lz_interior_decor_theme_options_section', array(
    	'title'      => __( 'General Settings', 'lz-interior-decor' ),
		'priority'   => 30,
		'panel' => 'lz_interior_decor_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('lz_interior_decor_theme_options',array(
      'default' => 'Right Sidebar',
      'sanitize_callback' => 'lz_interior_decor_sanitize_choices'
	));
	$wp_customize->add_control('lz_interior_decor_theme_options',array(
		'type' => 'radio',
		'label' => __('Do you want this section','lz-interior-decor'),
		'section' => 'lz_interior_decor_theme_options_section',
		'choices' => array(
		   'Left Sidebar' => __('Left Sidebar','lz-interior-decor'),
		   'Right Sidebar' => __('Right Sidebar','lz-interior-decor'),
		   'One Column' => __('One Column','lz-interior-decor'),
		   'Three Columns' => __('Three Columns','lz-interior-decor'),
		   'Four Columns' => __('Four Columns','lz-interior-decor'),
		   'Grid Layout' => __('Grid Layout','lz-interior-decor')
		),
	));

	$wp_customize->add_setting( 'lz_interior_decor_boxfull_width', array(
		'default'           => '',
		'sanitize_callback' => 'lz_interior_decor_sanitize_choices'
	));
	$wp_customize->add_control( 'lz_interior_decor_boxfull_width', array(
		'label'    => __( 'Section Width', 'lz-interior-decor' ),
		'section'  => 'lz_interior_decor_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'container'  => __('Box Width', 'lz-interior-decor'),
			'container-fluid' => __('Full Width', 'lz-interior-decor'),
			'none' => __('None', 'lz-interior-decor')
		),
	));

	$wp_customize->add_setting( 'lz_interior_decor_dropdown_anim', array(
		'default'           => 'None',
		'sanitize_callback' => 'lz_interior_decor_sanitize_choices'
	));
	$wp_customize->add_control( 'lz_interior_decor_dropdown_anim', array(
		'label'    => __( 'Menu Dropdown Animations', 'lz-interior-decor' ),
		'section'  => 'lz_interior_decor_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInUp'  => __('bounceInUp', 'lz-interior-decor'),
			'fadeInUp' => __('fadeInUp', 'lz-interior-decor'),
			'zoomIn'    => __('zoomIn', 'lz-interior-decor'),
			'None'    => __('None', 'lz-interior-decor')
		),
	));

	// Contact Details
	$wp_customize->add_section( 'lz_interior_decor_contact_details', array(
    	'title'      => __( 'Header Contact Details', 'lz-interior-decor' ),
		'priority'   => null,
		'panel' => 'lz_interior_decor_panel_id'
	) );

	$wp_customize->add_setting('lz_interior_decor_hide_show_topbar',array(
    	'default' => false,
    	'sanitize_callback'	=> 'lz_interior_decor_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_interior_decor_hide_show_topbar',array(
   	'type' => 'checkbox',
   	'label' => __('Show / Hide Topbar','lz-interior-decor'),
   	'section' => 'lz_interior_decor_contact_details',
	));

	$wp_customize->add_setting('lz_interior_decor_mail',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_email'
	));	
	$wp_customize->add_control('lz_interior_decor_mail',array(
		'label'	=> __('Email Address','lz-interior-decor'),
		'section'=> 'lz_interior_decor_contact_details',
		'setting'=> 'lz_interior_decor_mail',
		'type'=> 'text'
	));	

	$wp_customize->add_setting('lz_interior_decor_call',array(
		'default'=> '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_phone_number'
	));	
	$wp_customize->add_control('lz_interior_decor_call',array(
		'label'	=> __('Contact Number','lz-interior-decor'),
		'section'=> 'lz_interior_decor_contact_details',
		'setting'=> 'lz_interior_decor_call',
		'type'=> 'text'
	));

	$wp_customize->add_setting( 'lz_interior_decor_headertext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_headertext_color', array(
		'label' => 'Text Color',
		'section' => 'lz_interior_decor_contact_details',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_headericon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_headericon_color', array(
		'label' => 'Icon Color',
		'section' => 'lz_interior_decor_contact_details',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_headerphone_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_headerphone_color', array(
		'label' => 'Phone Number Color',
		'section' => 'lz_interior_decor_contact_details',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_headerphonebg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_headerphonebg_color', array(
		'label' => 'Phone Bg Color',
		'section' => 'lz_interior_decor_contact_details',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_header_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_header_color', array(
		'label' => 'Header Background Color',
		'section' => 'lz_interior_decor_contact_details',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_menu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_menu_color', array(
		'label' => 'Menu Color',
		'section' => 'lz_interior_decor_contact_details',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_menuhvr_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_menuhvr_color', array(
		'label' => 'Menu Hover Color',
		'section' => 'lz_interior_decor_contact_details',
	)));

	//Social Icons(topbar)
	$wp_customize->add_section('lz_interior_decor_topbar_header',array(
		'title'	=> __('Social Icon Section','lz-interior-decor'),
		'description'	=> __('<b>Note :</b> Add Header Content here','lz-interior-decor'),
		'priority'	=> null,
		'panel' => 'lz_interior_decor_panel_id',
	));

	$wp_customize->add_setting('lz_interior_decor_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_interior_decor_facebook_url',array(
		'label'	=> __('Add Facebook link','lz-interior-decor'),
		'section'	=> 'lz_interior_decor_topbar_header',
		'setting'	=> 'lz_interior_decor_facebook_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('lz_interior_decor_twitter_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_interior_decor_twitter_url',array(
		'label'	=> __('Add Twitter link','lz-interior-decor'),
		'section'	=> 'lz_interior_decor_topbar_header',
		'setting'	=> 'lz_interior_decor_twitter_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('lz_interior_decor_insta_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_interior_decor_insta_url',array(
		'label'	=> __('Add Instagram link','lz-interior-decor'),
		'section'	=> 'lz_interior_decor_topbar_header',
		'setting'	=> 'lz_interior_decor_insta_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('lz_interior_decor_linkedin_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_interior_decor_linkedin_url',array(
		'label'	=> __('Add Linkedin link','lz-interior-decor'),
		'section'	=> 'lz_interior_decor_topbar_header',
		'setting'	=> 'lz_interior_decor_linkedin_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting( 'lz_interior_decor_headersocial_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_headersocial_color', array(
		'label' => 'Icons Color',
		'section' => 'lz_interior_decor_topbar_header',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_headersocialhvr_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_headersocialhvr_color', array(
		'label' => 'Icons Hover Color',
		'section' => 'lz_interior_decor_topbar_header',
	)));

	//home page slider
	$wp_customize->add_section( 'lz_interior_decor_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'lz-interior-decor' ),
		'priority'   => null,
		'panel' => 'lz_interior_decor_panel_id'
	) );

	$wp_customize->add_setting('lz_interior_decor_slider_hide_show',array(
		'default' => false,
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_interior_decor_slider_hide_show',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Slider','lz-interior-decor'),
		'section' => 'lz_interior_decor_slider_section'
	));

	$wp_customize->add_setting( 'lz_interior_decor_slider_effect', array(
		'default'           => '',
		'sanitize_callback' => 'lz_interior_decor_sanitize_choices'
	));
	$wp_customize->add_control( 'lz_interior_decor_slider_effect', array(
		'label'    => __( 'Onload Transactions Effects', 'lz-interior-decor' ),
		'section'  => 'lz_interior_decor_slider_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInLeft'  => __('bounceInLeft', 'lz-interior-decor'),
			'bounceInRight' => __('bounceInRight', 'lz-interior-decor'),
			'bounceInUp'    => __('bounceInUp', 'lz-interior-decor'),
			'bounceInDown'    => __('bounceInDown', 'lz-interior-decor'),
			'zoomIn'  => __('zoomIn', 'lz-interior-decor'),
			'zoomOut' => __('zoomOut', 'lz-interior-decor'),
			'fadeInDown'    => __('fadeInDown', 'lz-interior-decor'),
			'fadeInUp'    => __('fadeInUp', 'lz-interior-decor'),
			'fadeInLeft'  => __('fadeInLeft', 'lz-interior-decor'),
			'fadeInRight' => __('fadeInRight', 'lz-interior-decor'),
			'flip-up'    => __('flip-up', 'lz-interior-decor'),
			'none'    => __('none', 'lz-interior-decor')
		),
	));

	for ( $count = 1; $count <= 4; $count++ ) {
		$wp_customize->add_setting( 'lz_interior_decor_slider' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'lz_interior_decor_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'lz_interior_decor_slider' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'lz-interior-decor' ),
			'section'  => 'lz_interior_decor_slider_section',
			'type'     => 'dropdown-pages'
		) );
	}

	$wp_customize->add_setting('lz_interior_decor_slider_title_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_slider_title_font_size',array(
		'type' => 'number',
		'label' => __('Title Font Size','lz-interior-decor'),
		'section' => 'lz_interior_decor_slider_section',
	));

	$wp_customize->add_setting('lz_interior_decor_slider_text_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_slider_text_font_size',array(
		'type' => 'number',
		'label' => __('Text Font Size','lz-interior-decor'),
		'section' => 'lz_interior_decor_slider_section',
	));

	$wp_customize->add_setting( 'lz_interior_decor_slider_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_slider_color', array(
		'label' => 'Title Color',
		'section' => 'lz_interior_decor_slider_section',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_slidertext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_slidertext_color', array(
		'label' => 'Text Color',
		'section' => 'lz_interior_decor_slider_section',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_slidernp_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_slidernp_color', array(
		'label' => 'N/P Arrow Color',
		'section' => 'lz_interior_decor_slider_section',
	)));

	//	Our skills
	$wp_customize->add_section('lz_interior_decor_skills',array(
		'title'	=> __('Our Skills','lz-interior-decor'),
		'description'=> __('<b>Note :</b> This section will appear below the slider.','lz-interior-decor'),
		'panel' => 'lz_interior_decor_panel_id',
	));

	$wp_customize->add_setting('lz_interior_decor_our_skills_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('lz_interior_decor_our_skills_title',array(
		'label'	=> __('Section Title','lz-interior-decor'),
		'section'	=> 'lz_interior_decor_skills',
		'setting'	=> 'lz_interior_decor_our_skills_title',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lz_interior_decor_skills_section_title_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_skills_section_title_font_size',array(
		'type' => 'number',
		'label' => __('Section Title Font Size','lz-interior-decor'),
		'section' => 'lz_interior_decor_skills',
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	foreach($categories as $category){
	if($i==0){
	$default = $category->slug;
	$i++;
	}
	$cats[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('lz_interior_decor_skillscategory_setting',array(
		'default'	=> 'select',
		'sanitize_callback' => 'lz_interior_decor_sanitize_choices',
	));
	$wp_customize->add_control('lz_interior_decor_skillscategory_setting',array(
		'type'    => 'select',
		'choices' => $cats,
		'label' => __('Select Category To Display Latest Post','lz-interior-decor'),
		'section' => 'lz_interior_decor_skills',
	));

	$wp_customize->add_setting('lz_interior_decor_skills_img_hight',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_skills_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_skills_img_hight',array(
		'type' => 'number',
		'label' => __('Image Hight','lz-interior-decor'),
		'section' => 'lz_interior_decor_skills',
	));

	$wp_customize->add_setting('lz_interior_decor_skill_section_padding',array(
      'default' => '',
      'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_skill_section_padding',array(
		'type' => 'number',
		'label' => __('Section Top Bottom Padding','lz-interior-decor'),
		'section' => 'lz_interior_decor_skills',
	));

   $wp_customize->add_setting('lz_interior_decor_img_hight',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
	));
	$wp_customize->add_control('lz_interior_decor_img_hight',array(
		'type' => 'number',
		'label' => __('Image Hight','lz-interior-decor'),
		'section' => 'lz_interior_decor_our_services',
	));

   $wp_customize->add_setting( 'lz_interior_decor_skillsheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
   ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_skillsheading_color', array(
		'label' => 'Heading Color',
		'section' => 'lz_interior_decor_skills',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_skillstitle_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_skillstitle_color', array(
		'label' => 'Title Color',
		'section' => 'lz_interior_decor_skills',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_skillstext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_skillstext_color', array(
		'label' => 'Text Color',
		'section' => 'lz_interior_decor_skills',
	)));

	//	Our design
	$wp_customize->add_section('lz_interior_decor_design',array(
		'title'	=> __('Our Design','lz-interior-decor'),
		'description'=> __('<b>Note :</b> This section will appear below the our skills.','lz-interior-decor'),
		'panel' => 'lz_interior_decor_panel_id',
	));

	$wp_customize->add_setting('lz_interior_decor_our_design_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('lz_interior_decor_our_design_title',array(
		'label'	=> __('Section Title','lz-interior-decor'),
		'section'	=> 'lz_interior_decor_design',
		'setting'	=> 'lz_interior_decor_our_design_title',
		'type'		=> 'text'
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	foreach($categories as $category){
	if($i==0){
	$default = $category->slug;
	$i++;
	}
	$cats[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('lz_interior_decor_designcategory_setting',array(
		'default'	=> 'select',
		'sanitize_callback' => 'lz_interior_decor_sanitize_choices',
	));
	$wp_customize->add_control('lz_interior_decor_designcategory_setting',array(
		'type'    => 'select',
		'choices' => $cats,
		'label' => __('Select Category To Display Latest Post','lz-interior-decor'),
		'section' => 'lz_interior_decor_design',
	));

	$wp_customize->add_setting( 'lz_interior_decor_design_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_design_color', array(
		'label' => 'Heading Color',
		'section' => 'lz_interior_decor_design',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_design_imgbdr_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_design_imgbdr_color', array(
		'label' => 'Image Border Color',
		'section' => 'lz_interior_decor_design',
	)));


	//Footer
   $wp_customize->add_section( 'lz_interior_decor_footer', array(
    	'title'      => __( 'Footer Setting', 'lz-interior-decor' ),
		'priority'   => null,
		'panel' => 'lz_interior_decor_panel_id'
	) );

	$wp_customize->add_setting('lz_interior_decor_show_back_totop',array(
 		'default' => true,
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_interior_decor_show_back_totop',array(
   	'type' => 'checkbox',
   	'label' => __('Show / Hide Back to Top','lz-interior-decor'),
   	'section' => 'lz_interior_decor_footer'
	));

 	$wp_customize->add_setting('lz_interior_decor_footer_copy',array(
		'default'	=> 'Interior WordPress Theme By Luzuk',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('lz_interior_decor_footer_copy',array(
		'label'	=> __('Copyright Text','lz-interior-decor'),
		'section'	=> 'lz_interior_decor_footer',
		'setting'	=> 'lz_interior_decor_footer_copy',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lz_interior_decor_footer_copylink',array(
		'default'	=> 'https://www.luzuk.com/products/free-interior-design-wordpress-theme/',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('lz_interior_decor_footer_copylink',array(
		'label'	=> __('Copyright Link','lz-interior-decor'),
		'section'	=> 'lz_interior_decor_footer',
		'setting'	=> 'lz_interior_decor_footer_copylink',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('lz_interior_decor_copyright_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_interior_decor_sanitize_float'
 	));
 	$wp_customize->add_control('lz_interior_decor_copyright_padding',array(
		'type' => 'number',
		'label' => __('Copyright Top Bottom Padding','lz-interior-decor'),
		'section' => 'lz_interior_decor_footer',
	));

	$wp_customize->add_setting( 'lz_interior_decor_footer_widgets_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_footer_widgets_title_color', array(
		'label' => 'Widgets Title Color',
		'section' => 'lz_interior_decor_footer',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_footer_widgets_menu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_footer_widgets_menu_color', array(
		'label' => 'Widgets Menus Color',
		'section' => 'lz_interior_decor_footer',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_copyright_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_copyright_color', array(
		'label' => 'Copyright Text Color',
		'section' => 'lz_interior_decor_footer',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_copyrightbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_copyrightbg_color', array(
		'label' => 'Copyright Background Color',
		'section' => 'lz_interior_decor_footer',
	)));

	$wp_customize->add_setting( 'lz_interior_decor_footerbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_interior_decor_footerbg_color', array(
		'label' => 'Footer Background Color',
		'section' => 'lz_interior_decor_footer',
	)));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'lz_interior_decor_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'lz_interior_decor_customize_partial_blogdescription',
	) );
}
add_action( 'customize_register', 'lz_interior_decor_customize_register' );

function lz_interior_decor_customize_partial_blogname() {
	bloginfo( 'name' );
}

function lz_interior_decor_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

function lz_interior_decor_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}

function lz_interior_decor_is_view_with_layout_option() {
	// This option is available on all pages. It's also available on archives when there isn't a sidebar.
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class LZ_Interior_Decor_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'LZ_Interior_Decor_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new LZ_Interior_Decor_Customize_Section_Pro(
				$manager,
				'lz_interior_decor_example_1',
				array(
					'priority' => 9,
					'title'    => esc_html__( 'Interior Pro', 'lz-interior-decor' ),
					'pro_text' => esc_html__( 'Go Pro','lz-interior-decor' ),
					'pro_url'  => esc_url( 'https://www.luzuk.com/products/interior-design-wordpress-theme/' ),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'lz-interior-decor-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'lz-interior-decor-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
LZ_Interior_Decor_Customize::get_instance();